<template>
  <!-- 修改批车作业页面 -->
  <div id="contractDetails">
    <page-title>批车作业</page-title>
    <div class="main">
      <span class="text">修改批车作业</span>
      <span class="a"></span>
    </div>
    <div class="contractTitle">
      <div class="form-box">
        <div class="form-one">
          <dil-form :formId="304" v-model="form1"></dil-form>
        </div>
      </div>
    </div>  
 
    <div class="button-box">
      <el-button @click="onClickCancel">返回</el-button>
      <el-button type="primary" @click="onClickConfirm">确认</el-button>
    </div>
  </div>
</template>

<script>
import PageTitle from "@/components/Page/Title";
export default {
  components: { PageTitle },
    data(){
          return {
          form1: {},
        }
    },
  mounted() {
    this.information();
  },
  methods: {
    information() {
      //编辑批车作业 渲染数据
      this.$axios
        .post("/api/v1/tms/getWagonPleaseById/" + this.$route.params.resultId)
        .then((res) => {
          res.data.data.forEach((e) => {
            this.form1 = e;
          });
        });
    },
     // 返回
    onClickCancel() {
      this.$router.go(-1);
    },
    // 确认
    onClickConfirm() {
      let approveWagonPlease = {
        resultId: this.$route.params.resultId,
        resultApproveDate: this.form1.resultApproveDate,
        resultApproveNumber: this.form1.resultApproveNumber
      };
      function isNumber() {
        var value = approveWagonPlease.resultApproveNumber;
        //验证是否为数字
        var patrn = /^(-)?\d+(\.\d+)?$/;
        if (patrn.exec(value) == null || value == "") {
          return false;
        } else {
          return true;
        }
      }
      var val = this.value;
      if (
        approveWagonPlease.resultId == null ||        
        approveWagonPlease.resultApproveDate==null||
        approveWagonPlease.resultApproveNumber==null
      ) this.$message.error("存在空值！");
      else
      if (!isNumber(val)) this.$message.error("请车数必须是数字！");
      else
      this.$axios
        .post("/api/v1/tms/updateApproveWagonPlease", approveWagonPlease)
        .then(() => {
          this.$message({
            type: "success",  
            message: "修改成功!",
          });
          this.$router.go(-1);
        });
    },
  },
};
</script>
<style lang="scss">
</style>